feldspar-compiler-0.6.0.2: Compiler for the Feldspar language

Safe Haskell | None

Feldspar.Compiler.Backend.C.Plugin.TypeDefinitionGenerator

# Documentation

typeDefGenError :: ErrorClass -> String -> a

data TypeDefinitionGenerator

Constructors

TypeDefinitionGenerator |

Instances

Transformation TypeDefinitionGenerator |
Plugin TypeDefinitionGenerator |
Transformable TypeDefinitionGenerator Variable |
Transformable TypeDefinitionGenerator Module |

getTypes :: Options -> Type -> [Entity ()]